<%@page
     session="false"
	import="com.sas.ep.sascoder.utilities.*,
		    java.util.*,
		    java.net.*,
		    org.springframework.context.ApplicationContext,
		    org.springframework.web.util.UriUtils,
		    com.sas.ep.sascoder.web.SessionController,
		    com.sas.ep.sascoder.webdms.service.sas.SasWorkspaceService"
	contentType="text/html;charset=UTF-8"%><%

	String localeParameter = Util.getSafeString((String)request.getParameter("locale"));
	String debug = Util.getSafeString((String)request.getParameter("debug"));
	String app = Util.getSafeString((String)request.getParameter("app"));
	String reportApp = Util.getSafeString((String)request.getParameter("report"));
	String productionParameter = Util.getSafeString((String)request.getParameter("production"));
	boolean production = productionParameter.equals("false") ? false : true;
	String openfileParameter = (String)request.getParameter("openfile");
	if (null != openfileParameter)
	{
		try
		{
			openfileParameter = UriUtils.decode(openfileParameter, "UTF-8");
		}
		catch(Exception ex)
		{
			openfileParameter = null;
		}
	}
	String sutoken = (String)request.getParameter("sutoken");
	if (null != sutoken)
	{
		try
		{
			sutoken = UriUtils.decode(sutoken, "UTF-8");
		}
		catch(Exception ex)
		{
			sutoken = null;
		}
	}
		
	String dojoLocale = "";
	Locale locale = null;
	if(localeParameter != null && !"".equals(localeParameter))
	{
		// if localeParameter == lang_COUNTRY_VARIANT
		if(localeParameter.indexOf("_") > -1)
		{
			dojoLocale = localeParameter.replaceAll("_", "-").toLowerCase();
			String[] localeSplit = localeParameter.split("_");
			switch(localeSplit.length)
			{
			case 1:
				locale = new Locale(localeSplit[0]);
				break;
			case 2:
				locale = new Locale(localeSplit[0], localeSplit[1]);
				break;
			case 3:
				locale = new Locale(localeSplit[0], localeSplit[1], localeSplit[2]);
				break;
			}
		}else{//if localeParameter == lang
			dojoLocale = localeParameter.toLowerCase();
			locale = new Locale(localeParameter);
		}
	}else{
		locale = request.getLocale();
		
		String reqLocaleString = request.getLocale().toString();
		
		if(reqLocaleString.equalsIgnoreCase("zh_HANS_CN")){
			locale = new Locale("zh", "CN");
		}else if(reqLocaleString.equalsIgnoreCase("zh_HANT_TW")){
			locale = new Locale("zh", "TW");
		}else if(reqLocaleString.equalsIgnoreCase("zh_HANT_HK")){
			locale = new Locale("zh", "HK");
		}else if(reqLocaleString.equalsIgnoreCase("zh_HANS")){
			locale = new Locale("zh", "CN");
		}else if(reqLocaleString.equalsIgnoreCase("zh_HANT")){
			locale = new Locale("zh", "TW");
		}

		
		dojoLocale = locale.toString().replaceAll("_","-").toLowerCase();
		localeParameter=locale.toString();
	}


	//String locale = (String)request.getParameter("locale");
	String javaLocale=request.getLocale().toString();
	if (locale!=null) javaLocale=locale.toString();

    ApplicationContext ctxt=SessionController.getApplicationContext();
	SasWorkspaceService sasWorkspaceService=(SasWorkspaceService)ctxt.getBean("sasWorkspaceService");
	ResourceBundle bundle = NLSUtils.getResourceBundle(null,locale);
	String host = (String) request.getParameter("host");
	String autoLoginUser = sasWorkspaceService.getAutoLoginUser();
	String skin = sasWorkspaceService.getLoginSkinning();
	String failureURL = sasWorkspaceService.getFailureURL();
	if (failureURL==null) failureURL="http://support.sas.com/documentation/onlinedoc/sasstudio";
  
	if (host!=null) host="'" + host + "'";
	String port = (String) request.getParameter("port");
	if (port!=null) port="'" + port + "'";
	String localhost="";
	String webclient="";
	boolean autologin=false;

   String sasMode = (String)request.getSession().getAttribute("SASMode");
   String isCloudSSO = "false";
   if(sasMode != null && sasMode.equals("cloudSSO")){
      isCloudSSO = "true";
      autologin=true;
   }

	if (host!=null)
	{
		autologin=true;
	}

	if (sasWorkspaceService.getSasMode().equalsIgnoreCase("SINGLE"))
	{
		localhost=InetAddress.getLocalHost().getCanonicalHostName();
		webclient=InetAddress.getByName(GeneralUtilities.getClientIpAddr(request)).getCanonicalHostName();
		autologin=true;

		if (localhost.equalsIgnoreCase(webclient)==false)
		{
			response.setStatus(403);
			return;
		}
		
		// Validate sutoken if it's enabled.
		String singleUserToken = System.getProperty("webdms.singleUser.token");
		
		if (null != singleUserToken && "" != singleUserToken)
		{
			boolean success = false;
			
			String sutokenParameter = (String)request.getParameter("sutoken");
			if (null != sutokenParameter)
			{
				try
				{
					sutokenParameter = UriUtils.decode(sutokenParameter, "UTF-8");
					
					if (singleUserToken.equalsIgnoreCase(sutokenParameter))
					{
						success = true;
					}
				}
				catch(Exception ex) 
				{}
			}
			
			if (!success)
			{
				response.setStatus(403);
				return;				
			}
		}
				
	}
	else if (autoLoginUser!=null && autoLoginUser.length() > 0)
	{
		autologin=true;
	}

	if ("WIP".equalsIgnoreCase(sasWorkspaceService.getSasMode()) || "WIPLITE".equalsIgnoreCase(sasWorkspaceService.getSasMode()))
	{
		autologin=true;
	}

	String userAgent = Util.getSafeString((String) request.getHeader("User-Agent"));
 	if (userAgent==null) userAgent="unknown";

	if (userAgent.indexOf("&lt;")>-1 && userAgent.indexOf("&gt;")>-1)
	{
		response.sendRedirect("not_supported");
		return;
	}

	if (userAgent.indexOf("MSIE 6")>-1 ||
		userAgent.indexOf("MSIE 5")>-1 ||
		userAgent.toLowerCase().indexOf("touch") > -1) //touch == surface
	{
//		response.sendRedirect("not_supported");
//		return;
	}
	else
	{
		String ua = userAgent.toLowerCase();
		//touch == surface (not supported yet)
		if (ua.indexOf("ipad") > -1 || ua.indexOf("android") > -1 || ua.indexOf("silk") > -1)// || ua.indexOf("touch") > -1)
		{
			String query=request.getQueryString();
			String uri="mobile";
			if (query!=null && query.length()>0)
				uri+="?"+query;

			response.sendRedirect(uri);
			return;
		}
	}

%>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=11; IE=10; IE=9; IE=EDGE" /><!-- THIS MUST BE THE FIRST TAG IN HEAD ELEMENT -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- styles -->

<!-- SECTION 1 -->
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/help.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/corporate.css"  />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/webdms.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/signin_page.css" />
<!--link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/Grid.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/claroGrid.css" /-->

<title><%=bundle.getString("ProductPageTitle.txt")%></title>


<script>
var userAgent="<%=userAgent%>";
var host=<%=host%>;
var port=<%=port%>;
var dojoLocale='<%=dojoLocale%>';
var localeParameter='<%=localeParameter%>';
var javaLocale='<%=javaLocale%>';
var localhost='<%=localhost%>';
var webclient='<%=webclient%>';
var failureURL='<%=failureURL%>';
var autoLoginUser='<%=autoLoginUser%>';
var mode='<%=sasWorkspaceService.getSasMode().toLowerCase()%>';
var local=<%=autologin%>;
var isCloudSSO = <%=isCloudSSO%>;
var skin='<%=skin%>';
var debug = '<%= debug %>';
var production = <%=production%>;
var openfileParameter = <%=Util.getJavascriptStringLiteral(openfileParameter)%>;
var sutoken = <%=Util.getJavascriptStringLiteral(sutoken)%>
var weaverApp = null;
<%if (app!=null && app.length()>0) {%>
weaverApp='<%=app %>';
<% } %>

var reportApp=null;

<%if (reportApp!=null && reportApp.length()>0) {%>
reportApp=decodeURIComponent(decodeURIComponent('<%=reportApp%>'));
<% } %>

</script>

    <!-- fav and touch icons -->
<!--     <link rel="shortcut icon" href="assets/ico/favicon.ico">
    <link rel="apple-touch-icon" href="resources/js/dojo/dijit/themes/corporate/images/ico/apple-touch-icon.png">
    <link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="114x114" href="resources/js/dojo/dijit/themes/corporate/images/ico/apple-touch-icon-114x114.png">
 -->

<!-- <link rel="shortcut icon"  href="favicon.ico" /> -->
<link href="resources/js/dojo/dijit/themes/corporate/images/ico/favicon.ico" rel="shortcut icon" type="image/x-icon">
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />



<script type="text/javascript">
	if(dojoLocale == null || dojoLocale == 'null')
		dojoLocale = window.navigator.language;
	dojoConfig =
	{
		parseOnLoad: true,
		locale: dojoLocale,
		
		baseUrl: 'resources/js',
		packages: [
			{
				name:'dojo',
				location: 'dojo/dojo'
			},
			{
				name:'dijit',
				location: 'dojo/dijit'
			},
			{
				name:'dojox',
				location: 'dojo/dojox'
			},
			{
				name:'webdms',
				location: 'webdms'
			},
			{
				name: 'studio',
				location: 'studio'
			},
			{
				name: 'nls',
				location: 'nls'
			}
		
		]
		
	}
</script>


<script type="text/javascript" src="resources/js/dojo/dojo/dojo.js"
    data-dojo-config="parseOnLoad: true" ></script>
<script type="text/javascript">
	dojo.require('dijit.form.Form');
	dojo.require('dijit.form.Button');
	dojo.require('dijit.form.ValidationTextBox');
	dojo.require('dijit.form.CheckBox');
	dojo.require('dijit.Dialog');
	dojo.require('dijit.form.Textarea');
	dojo.require('dijit.form.Select');
</script>
</head>


<body class="corporate ksignin">

<%if (autologin==false)
{%>
<div id="page">

<div class="wrapperlogon">


<!-- //////////////// ************ START HEADER ************** //////////////// -->
<header>


<!-- *** START HEADER CONTAINER *** -->

<div class="container-fluid">

<!-- *** START ROW *** -->
<div class="row-fluid">
<div class="span12">
<h1 id="productHeader"><%=bundle.getString("ProductBannerLabel.txt")%></h1>
<% if (sasWorkspaceService.getSasMode().equalsIgnoreCase("single")) { %>
<div><%=bundle.getString("SingleUserEdition.txt")%></div>
<% } %>
</div>
</div>
<!-- *** END ROW *** -->

</div>
<!-- *** END CONTAINER *** -->

    </header>
<!-- //////////////// ************ END HEADER ************** //////////////// -->



<!-- ************ START MAIN CONTAINER ************** -->
<div class="container-fluid logon">

<!-- *** ROW *** -->
<div class="row-fluid">

<!-- *** COLUMN *** -->
<div class="span12">

<div data-dojo-type="dijit.form.Form" id="loginForm" data-dojo-id="loginForm" method="post">
	<fieldset>
	<legend style="padding-bottom: 5px;" id="signInLabel"><%=bundle.getString("SignIn.txt")%></legend>

<div>
<label id="userLabel" for="user"><%=bundle.getString("UserFieldLabel.txt")%></label>

<div class="inputaccent">
<input type="text" id="user" name="user" autocapitalize="off" spellcheck="false" data-dojo-type="dijit.form.ValidationTextBox" data-dojo-props="required:true" value="" class="inputaccent2">
</div>

</div>

<div>
<label id="passwordLabel" for="password"><%=bundle.getString("PasswordFieldLabel.txt")%></label>
<div class="inputaccent">
<input type="password" id="password" name="password" value="" data-dojo-type="dijit.form.ValidationTextBox" data-dojo-props="required:true" class="inputaccent2">
</div>
</div>

<div>
<input type="checkbox" id="rememberCheckbox" data-dojo-type="dijit.form.CheckBox" value="option1" class="logoninput">
<label for="rememberCheckbox" class="CheckBoxLabel" id="rememberLabel"><%=bundle.getString("RememberMeLabel.txt")%></label>
</div>

<div class="signin">
<button type="button" id="loginButton"><%=bundle.getString("SignInButton.txt")%></button>
</div>


<hr>
<% if (!sasWorkspaceService.getSasMode().equalsIgnoreCase("single") && sasWorkspaceService.getLoginSkinning().equalsIgnoreCase("soda")) { %>
<ul>
<li><a href="https://www.sas.com/profile/user/passwordResetRequest.htm"><%=bundle.getString("ForgotPasswordLink.txt")%></a></li>
<li><a href="http://support.sas.com/ctx/sodareg"><%=bundle.getString("RegisterLink.txt")%></a></li>
</ul>
<%
}
%>

</fieldset>
</div>


</div>
<!-- *** END COLUMN *** -->


</div>
<!-- *** END ROW *** -->


</div>
<!-- ************ END MAIN CONTAINER ************** -->






<!-- ************ START FOOTER ************** -->
<footer>

<!-- ****************  START FOOTER CONTAINER ******************** -->
<div class="container-fluid">

<!-- ****************  START ROW ******************** -->
<div class="row-fluid">
<!-- ****************  START COLUMN ******************** -->
<div class="span12">
<img src="resources/js/dojo/dijit/themes/corporate/images/sas_logo/logon.png" class="logon" alt="logo" />
</div>
</div>
<!-- ****************  END ROW ******************** -->
</div>
<!-- ****************  END CONTAINER IN FOOTER ******************** -->
</footer>
<!-- ************ END FOOTER ************** -->



</div>

</div>

<% } %>

    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
     <script src="resources/js/studio/dmslogin.js"></script>

</body>
</html>