<%@page
     session="false"
	import="com.sas.ep.sascoder.utilities.*,
		    java.util.*,
		    org.springframework.context.ApplicationContext,
		    com.sas.ep.sascoder.web.SessionController,
		    com.sas.ep.sascoder.webdms.service.sas.SasWorkspaceService"
	contentType="text/html;charset=UTF-8"%>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=9999" />
    <meta name="description" content="">
    <meta name="author" content="">
    <meta itemprop="image" content="/resources/favicon.ico">
    <!-- styles -->

<!-- SECTION 1 -->
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/corporate.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/webdms.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/signin_page.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/Grid.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/claroGrid.css" />

<%
    ApplicationContext ctxt=SessionController.getApplicationContext();
	SasWorkspaceService sasWorkspaceService=(SasWorkspaceService)ctxt.getBean("sasWorkspaceService");
	String uri="main";

	String localeParameter = Util.getSafeString((String)request.getParameter("locale"));
	String dojoLocale = "";
	Locale locale = null;

	if(localeParameter != null && !"".equals(localeParameter))
	{
		// if localeParameter == lang_COUNTRY_VARIANT
		if(localeParameter.indexOf("_") > -1)
		{
			dojoLocale = localeParameter.replaceAll("_", "-").toLowerCase();
			String[] localeSplit = localeParameter.split("_");
			switch(localeSplit.length)
			{
			case 1:
				locale = new Locale(localeSplit[0]);
				break;
			case 2:
				locale = new Locale(localeSplit[0], localeSplit[1]);
				break;
			case 3:
				locale = new Locale(localeSplit[0], localeSplit[1], localeSplit[2]);
				break;
			}
		}else{//if localeParameter == lang
			dojoLocale = localeParameter.toLowerCase();
			locale = new Locale(localeParameter);
			dojoLocale = locale.toString().replaceAll("_","-");
		}
	}else{
		locale = request.getLocale();
		dojoLocale = locale.toString().replaceAll("_","-");
		localeParameter=locale.toString();

	}

	ResourceBundle bundle = NLSUtils.getResourceBundle(null,locale);

	String userAgent = Util.getSafeString((String) request.getHeader("User-Agent"));
	if (userAgent==null) userAgent="unknown";

	if (userAgent.indexOf("&lt;")>-1 && userAgent.indexOf("&gt;")>-1)
	{
		response.sendRedirect("not_supported");
		return;
	}

	if (userAgent.indexOf("MSIE 6")>-1 ||
		userAgent.indexOf("MSIE 5")>-1 ||
		userAgent.toLowerCase().indexOf("touch") > -1) //touch == surface
	{
//		response.sendRedirect("not_supported");
//		return;
	}
	else
	{
		String ua = userAgent.toLowerCase();
		//touch == surface (not supported yet)
		if (ua.indexOf("ipad") > -1 || ua.indexOf("android") > -1 || ua.indexOf("silk") > -1)// || ua.indexOf("touch") > -1)
		{
			String query=request.getQueryString();
			uri="tablet?theme=Corporate";
		}
	}

%>

 <title><%=bundle.getString("ProductPageTitle.txt")%></title>



<script>
var userAgent="<%=userAgent%>";
var mainPage='<%=uri%>';
var dojoLocale='<%=dojoLocale%>';
var localeParameter='<%=localeParameter%>';
</script>

    <!-- fav and touch icons -->
  <!-- <link rel="shortcut icon"  href="favicon.ico" /> -->
<link href="resources/favicon.ico" rel="shortcut icon" type="image/x-icon">
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />

<script type="text/javascript">
	if(dojoLocale == null || dojoLocale == 'null')
		dojoLocale = window.navigator.language;
	dojoConfig =
	{
		parseOnLoad: true,
		locale: dojoLocale,
		baseUrl: 'resources/js',
		packages: [
			{
				name:'dojo',
				location: 'dojo/dojo'
			},
			{
				name:'dijit',
				location: 'dojo/dijit'
			},
			{
				name:'dojox',
				location: 'dojo/dojox'
			},
			{
				name:'webdms',
				location: 'webdms'
			},
			{
				name: 'studio',
				location: 'studio'
			},
			{
				name: 'nls',
				location: 'nls'
			}
		
		]
	}
</script>



<script type="text/javascript" src="resources/js/dojo/dojo/dojo.js"
    data-dojo-config="parseOnLoad: true"></script>
<script type="text/javascript">
	dojo.require('dijit.form.Form');
	dojo.require('dijit.form.Button');
	dojo.require('dijit.form.ValidationTextBox');
	dojo.require('dijit.form.CheckBox');
	dojo.require('dijit.Dialog');
	dojo.require('dijit.form.Textarea');
</script>
</head>


<body class="corporate ksignin" onload="init()">

<div id="page">

<div class="wrapperlogon">


<!-- //////////////// ************ START HEADER ************** //////////////// -->
<header>


<!-- *** START HEADER CONTAINER *** -->
<div class="container-fluid">

<!-- *** START ROW *** -->
<div class="row-fluid">
<div class="span12">
<h1 id="productHeader"><%=bundle.getString("ProductBannerLabel.txt")%></h1>
<div id="internalEdition"><%=bundle.getString("InternalEdition.txt")%></div>
</div>
</div>
<!-- *** END ROW *** -->

</div>
<!-- *** END CONTAINER *** -->

    </header>
<!-- //////////////// ************ END HEADER ************** //////////////// -->



<!-- ************ START MAIN CONTAINER ************** -->
<div class="container-fluid logon">

<!-- *** ROW *** -->
<div class="row-fluid">

<!-- *** COLUMN *** -->
<div class="span12">

<div data-dojo-type="dijit.form.Form" id="loginForm" data-dojo-id="loginForm" method="post">
	<fieldset>
	<legend  id="signInLabel" style="padding-bottom: 5px;"><%=bundle.getString("SignIn.txt")%></legend>

<div>

<label id="serverLabel" for="user"><%=bundle.getString("InternalServer.txt")%></label>
<div class="inputaccent">
<input type="text" id="server" name="server" autocapitalize="off" spellcheck="false" data-dojo-type="dijit.form.ValidationTextBox" data-dojo-props="required:true, invalidMessage:'Server required'" value="" class="inputaccent2">
</div>

</div>

<div>
<label for="user" id="userLabel"><%=bundle.getString("UserFieldLabel.txt")%></label>

<div class="inputaccent">
<input type="text" id="user" name="user" autocapitalize="off" spellcheck="false" data-dojo-type="dijit.form.ValidationTextBox" data-dojo-props="required:true, invalidMessage:'User is required'" value="" class="inputaccent2">
</div>

</div>

<div>
<label id="passwordLabel" for="password"><%=bundle.getString("PasswordFieldLabel.txt")%></label>
<div class="inputaccent">
<input type="password" id="password" name="password" value="" data-dojo-type="dijit.form.ValidationTextBox" data-dojo-props="required:true, invalidMessage:'Password is required'" class="inputaccent2">
</div>
</div>

<div>
<input type="checkbox" id="rememberCheckbox" name="rememberCheckbox" data-dojo-type="dijit.form.CheckBox" value="option1" class="logoninput">
<label id="rememberSettings" for="rememberCheckbox" id="rememberLabel" class="logonlabel"><%=bundle.getString("RememberSettingsLabel.txt")%></label>
</div>

<div class="signin">
<button type="button" id="loginButton"><%=bundle.getString("SignInButton.txt")%></button>
</div>

<hr>

</fieldset>
</div>


</div>
<!-- *** END COLUMN *** -->

</div>
<!-- *** END ROW *** -->


</div>
<!-- ************ END MAIN CONTAINER ************** -->






<!-- ************ START FOOTER ************** -->
<footer>

<!-- ****************  START FOOTER CONTAINER ******************** -->
<div class="container-fluid">

<!-- ****************  START ROW ******************** -->
<div class="row-fluid">
<!-- ****************  START COLUMN ******************** -->
<div class="span12">
<img src="resources/js/dojo/dijit/themes/corporate/images/sas_logo/logon.png" class="logon" alt="logo" />
</div>
</div>
<!-- ****************  END ROW ******************** -->
</div>
<!-- ****************  END CONTAINER IN FOOTER ******************** -->
</footer>
<!-- ************ END FOOTER ************** -->



</div>

</div>



    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
     <script src="resources/js/studio/intlogin.js"></script>

</body>
</html>